package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.model.Imgvpbs;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ImgvpbsMapper {

    List<Imgvpbs> selectByTrninrAndSta(@Param("trninr") String trninr, @Param("sta") String sta);

    int insert(Imgvpbs record);

    List<Imgvpbs> selectByRecord(Imgvpbs record);

    int updateByPrimaryKey(Imgvpbs recor);

    int increasePrtcnt(@Param("ftynum") String ftynum);

    Imgvpbs selectByFtynum(@Param("ftynum") String ftynum);
}
